%define fw_version 5.38

Summary:	KDE Frameworks 5 Wayland support library
Name:		kwayland
Version:	5.38.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	wayland-tools
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(wayland-scanner)
BuildRequires:	pkgconfig(wayland-server)

%description
KDE Frameworks 5 Wayland support library.

%files
%{_kde5_libexecdir}/org-kde-kf5-kwayland-testserver
%{_kde5_sysconfdir}/xdg/org_kde_kwayland.categories

#----------------------------------------------------------------------------

%define kf5waylandclient_major 5
%define libkf5waylandclient %mklibname kf5waylandclient %{kf5waylandclient_major}

%package -n %{libkf5waylandclient}
Summary:	KDE Frameworks 5 Wayland support shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5waylandclient}
KDE Frameworks 5 Wayland support shared library.

%files -n %{libkf5waylandclient}
%{_kde5_libdir}/libKF5WaylandClient.so.%{kf5waylandclient_major}*

#----------------------------------------------------------------------------

%define kf5waylandserver_major 5
%define libkf5waylandserver %mklibname kf5waylandserver %{kf5waylandserver_major}

%package -n %{libkf5waylandserver}
Summary:	KDE Frameworks 5 Wayland support shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5waylandserver}
KDE Frameworks 5 Wayland support shared library.

%files -n %{libkf5waylandserver}
%{_kde5_libdir}/libKF5WaylandServer.so.%{kf5waylandserver_major}*

#----------------------------------------------------------------------------

%define devkf5wayland %mklibname kf5wayland -d

%package -n %{devkf5wayland}
Summary:	Development files for KDE Frameworks 5 Wayland support library
Group:		Development/KDE and Qt
Requires:	%{libkf5waylandclient} = %{EVRD}
Requires:	%{libkf5waylandserver} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5wayland-devel = %{version}

%description -n %{devkf5wayland}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5wayland}
%{_kde5_includedir}/KF5/KWayland
%{_kde5_includedir}/KF5/kwayland_version.h
%{_kde5_libdir}/cmake/KF5Wayland
%{_kde5_libdir}/libKF5WaylandClient.so
%{_kde5_libdir}/libKF5WaylandServer.so
%{_kde5_mkspecsdir}/qt_KWaylandClient.pri
%{_kde5_mkspecsdir}/qt_KWaylandServer.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (f859778) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (3e92771) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (8e22f50) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (b5198da) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (cfb8284) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (1dccea8) Build requires pkgconfig(Qt5Concurrent) and pkgconfig(wayland-egl)
- (Andrey Bondrov: f94b77b) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (97d4502) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (33085f1) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (642b8bd) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (b0e1f1d) Update files (add org-kde-kf5-kwayland-testserver)
- (Andrey Bondrov: 9d7ff26) New version 5.23.0
- (Andrey Bondrov: 9d7ff26) Moved from Plasma to Frameworks

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (2658885) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (9414754) MassBuild#1026: Increase release tag

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (94fbc03) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (2e55739) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (5e7f291) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (a63d8f8) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (419f90a) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (7aaabf0) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (2560103) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (b2b9297) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (071fb6e) New version 5.4.1

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (4c8b4ff) Update files
- (Andrey Bondrov: 568e33e) New version 5.4.0

* Thu Aug 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-2
- (fd43df4) MassBuild#782: Increase release tag

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-1
- (bb3c610) New version 5.3.2

* Wed May 27 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.1-1
- (e4f90f1) New version 5.3.1

* Wed Apr 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.0-1
- (6cf478b) Build requires pkgconfig(egl)
- (Andrey Bondrov: be972a1) New version 5.3.0


